package com.example.demo.model;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(value = "Employee")
public class Employee
{
      @Id
      @Column(value = "EMP_ID")
      private Long employeeId;

      @Column(value = "EMP_NAME")
      private String employeeName;

      public String toString()
      {
             return "\n\n\n" + employeeId + " " + employeeName + "\n\n\n";
      }
}
